## wxMoveEvent

A move event holds information about move change events.

Derived from

wxEvent
wxObject

Include files

<wx/event.h>

Event table macros

To process a move event, use this event handler macro to direct input to a member function that takes a wxMoveEvent argument.

EVT_MOVE(func) | Process a wxEVT_MOVE event, which is generated when a window is moved.

See also

wxPoint, Event handling overview

Members

wxMoveEvent::wxMoveEvent
wxMoveEvent::GetPosition

### wxMoveEvent::wxMoveEvent

wxMoveEvent(const wxPoint& pt, int id = 0)

Constructor.

### wxMoveEvent::GetPosition

wxPoint GetPosition() const

Returns the position of the window generating the move change event.